Get fixed-term market
curl --request GET \
--url https://api.vaults.fyi/beta/fixed-term/detailed/{network}/{vaultId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.vaults.fyi/beta/fixed-term/detailed/{network}/{vaultId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.vaults.fyi/beta/fixed-term/detailed/{network}/{vaultId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"vaultId": "<string>",
"address": "<string>",
"name": "<string>",
"network": {
"name": "mainnet",
"chainId": 123,
"networkCaip": "<string>"
},
"protocol": {
"protocolId": "<string>",
"name": "<string>",
"displayName": "<string>",
"product": "<string>",
"version": "<string>",
"protocolUrl": "<string>",
"description": "<string>",
"protocolLogo": "<string>"
},
"underlyingProtocol": {
"protocolId": "<string>",
"name": "<string>",
"displayName": "<string>",
"product": "<string>",
"version": "<string>",
"protocolUrl": "<string>",
"description": "<string>",
"protocolLogo": "<string>"
},
"pt": {
"address": "<string>",
"assetCaip": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"assetLogo": "<string>",
"assetPriceInUsd": "<string>",
"assetGroup": "<string>"
},
"underlyingAsset": {
"address": "<string>",
"assetCaip": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"assetLogo": "<string>",
"assetPriceInUsd": "<string>",
"assetGroup": "<string>"
},
"accountingAsset": {
"address": "<string>",
"assetCaip": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"assetLogo": "<string>",
"assetPriceInUsd": "<string>",
"assetGroup": "<string>"
},
"fixedApy": 123,
"expiry": 123,
"tvl": {
"usd": "<string>"
},
"liquidity": {
"usd": "<string>"
}
}{
"statusCode": 123,
"error": "Bad Request",
"message": "<string>",
"errorId": "<string>"
}{
"error": "Unauthorized",
"message": "An API key is required to access this service. Sign up at https://portal.vaults.fyi/signup to generate a key. We offer a Pay-As-You-Go plan so you only pay for what you use, with no commitments.",
"errorId": "<string>"
}{
"x402Version": 123,
"resource": {
"url": "<string>",
"description": "<string>",
"mimeType": "<string>",
"serviceName": "<string>",
"tags": [
"<string>"
],
"iconUrl": "<string>"
},
"error": "<string>",
"accepts": [
{
"scheme": "exact",
"network": "<string>",
"amount": "<string>",
"payTo": "<string>",
"maxTimeoutSeconds": 123,
"asset": "<string>",
"extra": {
"name": "<string>",
"version": "<string>"
}
}
],
"extensions": {}
}{
"error": "Forbidden",
"message": "This API key has exhausted its available credits. To resume service, please visit https://portal.vaults.fyi/signup to top-up your credits",
"errorId": "<string>"
}{
"error": "Not Found",
"message": "<string>"
}{
"message": "<string>",
"errorId": "<string>"
}{
"statusCode": 123,
"error": "Unprocessable Entity",
"message": "<string>",
"errorId": "<string>"
}{
"error": "Internal Server Error",
"message": "<string>",
"errorId": "<string>"
}{
"statusCode": 123,
"error": "Service Unavailable",
"message": "<string>",
"errorId": "<string>"
}Fixed Term (Pendle)
Get fixed-term market
Retrieves a Pendle fixed-term market including APY, TVL, and expiry
GET
/
beta
/
fixed-term
/
detailed
/
{network}
/
{vaultId}
Get fixed-term market
Authorizations
Path Parameters
Include only vaults with provided network(name or CAIP)
Available options:
mainnet, optimism, arbitrum, polygon, gnosis, base, unichain, swellchain, celo, worldchain, berachain, ink, bsc, hyperliquid, plasma, avalanche, katana, linea, mega-eth, monad, etherlink, robinhood, eip155:1, eip155:10, eip155:42161, eip155:137, eip155:100, eip155:8453, eip155:130, eip155:1923, eip155:42220, eip155:480, eip155:80094, eip155:57073, eip155:56, eip155:999, eip155:9745, eip155:43114, eip155:747474, eip155:59144, eip155:4326, eip155:143, eip155:42793, eip155:4663 Vault id of the vault for which the data will be returned
Response
Default Response
Stable fixed-term market identity for API lookups and links
Address of the fixed-term market contract
Pattern:
^0x[a-fA-F0-9]{40}$Name of the fixed-term opportunity
Network details of the fixed-term market
Show child attributes
Show child attributes
Protocol details of the fixed-term market
Show child attributes
Show child attributes
Underlying protocol details of the fixed-term market
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Current fixed APY in decimal form
UTC expiry timestamp in seconds
Total value locked in USD
Show child attributes
Show child attributes
Available liquidity in USD
Show child attributes
Show child attributes
⌘I

